Bug 522148 - Review Request: sound-theme-fedora - Sound theme for Fedora
Summary: Review Request: sound-theme-fedora - Sound theme for Fedora
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adel Gadllah
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-09 15:25 UTC by Matthias Clasen
Modified: 2009-12-22 16:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-06 12:36:11 UTC
adel.gadllah: fedora-review+


Attachments (Terms of Use)

Description Matthias Clasen 2009-09-09 15:25:29 UTC
spec: http://people.redhat.com/mclasen/sound-theme-fedora.spec
srpm: http://people.redhat.com/mclasen/sound-theme-fedora-1.0-1.fc12.src.rpm

Description:
A sound theme for Fedora. It is strongly based on the freedesktop sound
theme and just does some small tweaks to it.

Comment 2 Adel Gadllah 2009-09-09 16:12:25 UTC
==== REVIEW ===

[+] source files match upstream: 4a67db39035533d3cf17b0f31355a42d7cd49270
[+] package meets naming and versioning guidelines.
[+] specfile is properly named, is cleanly written and uses macros consistently.
[+] dist tag is present.
[+] build root is correct.
[+] license field matches the actual license.
[+] license is open source-compatible: GPLv2+ and CC-BY
[+] license text included in package.
[+] latest version is being packaged.
[+] BuildRequires are proper.
[+] %clean is present.
[+] package builds in koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1665688
[+] package installs properly.
[-][1] rpmlint is silent. 
[+] final provides and requires are sane:
	sound-theme-fedora = 1.0-2.fc12
	----
	rpmlib(CompressedFileNames) <= 3.0.4-1
	rpmlib(FileDigests) <= 4.6.0-1
	rpmlib(PayloadFilesHavePrefix) <= 4.0-1
	sound-theme-freedesktop  
	rpmlib(PayloadIsXz) <= 5.2-1
[+] no shared libraries are added to the regular linker search paths.
[+] owns the directories it creates.
[+] doesn't own any directories it shouldn't.
[+] no duplicates in %files.
[+] file permissions are appropriate.
[+] documentation is small, so no -docs subpackage is necessary.
[+] %docs are not necessary for the proper functioning of the package.
[+] no headers.
[+] no pkgconfig files.
[+] no libtool .la droppings.

=== COMMENTS ====

1) sound-theme-fedora.noarch: E: zero-length /usr/share/sounds/Fedora/stereo/tooltip-popup.disabled
   I suppose this is on purpose to silence the tooltip sound, correct?
2) AUTHORS not packaged and no parallel make (one might argue that both does not make sense for this package)

Please comment on them and I will approve the package.

Comment 3 Matthias Clasen 2009-09-09 16:17:44 UTC
>  /usr/share/sounds/Fedora/stereo/tooltip-popup.disabled
>   I suppose this is on purpose to silence the tooltip sound, correct?

Indeed. It seems impossible to silence both tooltips and rpmlint at the same time... rpmlint really has no business deciding if empty files are ok in my package or not.

>  AUTHORS not packaged and no parallel make (one might argue that both does
>  not make sense for this package)

AUTHORS is not very interesting, but I'll add it when I build the package. That was just an oversight...

Parallel make really is a bit of a snake oil thing to begin with. I am not going to install 3 files faster by doing it on 8 processors...

Comment 4 Adel Gadllah 2009-09-09 16:41:55 UTC
(In reply to comment #3)
> >  /usr/share/sounds/Fedora/stereo/tooltip-popup.disabled
> >   I suppose this is on purpose to silence the tooltip sound, correct?
> 
> Indeed. It seems impossible to silence both tooltips and rpmlint at the same
> time... rpmlint really has no business deciding if empty files are ok in my
> package or not.

rpmlint does not decide anything it just *helps* finding issues.

> >  AUTHORS not packaged and no parallel make (one might argue that both does
> >  not make sense for this package)
> 
> AUTHORS is not very interesting, but I'll add it when I build the package. That
> was just an oversight...

OK.

> Parallel make really is a bit of a snake oil thing to begin with. I am not
> going to install 3 files faster by doing it on 8 processors...  

Yeah.

=> APPROVED

Comment 5 Matthias Clasen 2009-09-09 16:47:46 UTC
New Package CVS Request
=======================
Package Name: sound-theme-fedora
Short Description: Sound theme for Fedora
Owners: mclasen 
Branches: 
InitialCC:

Comment 6 Jason Tibbitts 2009-09-10 17:17:47 UTC
How did this get all the way to CVS without being assigned to anyone?

Comment 7 Matthias Clasen 2009-09-10 17:35:30 UTC
Hold off on this one for now. Not sure if I'll need it or not.

Comment 8 Matthias Clasen 2009-10-06 12:36:11 UTC
Ok, don't need this after all.

Comment 9 udo 2009-12-22 16:39:44 UTC
Another piece of nice work lost.
See https://bugzilla.redhat.com/show_bug.cgi?id=538617 for the effects of this neglect.


Note You need to log in before you can comment on or make changes to this bug.